HandlerRequest (Tomcat API Documentation)
Keywords: org.apache.jk.common.HandlerRequest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jk.common
Class HandlerRequest

    java.lang.Object
      org.apache.jk.core.JkHandler
          org.apache.jk.common.HandlerRequest

All Implemented Interfaces:
  java.util.EventListener, javax.management.MBeanRegistration, javax.management.NotificationListener

    public class HandlerRequest

extends JkHandler

Handle messages related with basic request information. This object can handle the following incoming messages: - "FORWARD_REQUEST" input message ( sent when a request is passed from the web server ) - "RECEIVE_BODY_CHUNK" input ( sent by container to pass more body, in response to GET_BODY_CHUNK ) It can handle the following outgoing messages: - SEND_HEADERS. Pass the status code and headers. - SEND_BODY_CHUNK. Send a chunk of body - GET_BODY_CHUNK. Request a chunk of body data - END_RESPONSE. Notify the end of a request processing.

Author:
  Henri Gomez [hgomez@apache.org], Dan Milstein [danmil@shore.net], Keith Wannamaker [Keith@Wannamaker.org], Costin Manolache

Field Summary
`static int` | `HOSTBUFFER`

Fields inherited from class org.apache.jk.core.JkHandler
`domain, ERROR, HANDLE_FLUSH, HANDLE_RECEIVE_PACKET, HANDLE_SEND_PACKET, HANDLE_THREAD_END, id, LAST, mserver, name, next, nextName, OK, oname, properties, wEnv`

Constructor Summary
`HandlerRequest()`

Method Summary
`boolean` | `getDelayInitialRead()` Get the flag to tell if we delay the initial body read
`boolean` | `getRegisterRequests()` Get the flag to tell if we JMX register requests.
`boolean` | `getShutdownEnabled()`
`void` | `init()` Should register the request types it can handle, same style as apache2.
`int` | `invoke(Msg msg, MsgContext ep)`
`boolean` | `isTomcatAuthentication()`
`void` | `setAjpidDir(java.lang.String path)`
`void` | `setDecodedUri(boolean b)`
`void` | `setDelayInitialRead(boolean dir)` Set the flag to delay the initial body read
`void` | `setRegisterRequests(boolean srr)` Set the flag to tell if we JMX register requests.
`void` | `setSecret(java.lang.String s)`
`void` | `setShutdownEnabled(boolean se)`
`void` | `setTomcatAuthentication(boolean newTomcatAuthentication)`
`void` | `setUseSecret(boolean b)`

Methods inherited from class org.apache.jk.core.JkHandler
`addHandlerCallback, createMsgContext, createMsgContext, destroy, getDomain, getId, getName, getNext, getObjectName, getProperty, handleNotification, pause, postDeregister, postRegister, preDeregister, preRegister, resume, setId, setName, setNext, setNext, setProperty, setWorkerEnv`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HOSTBUFFER

    public static final int HOSTBUFFER

See Also:
  Constant Field Values

Constructor Detail

### HandlerRequest

    public HandlerRequest()

Method Detail

### init

    public void init()

  Description copied from class: `JkHandler`
  Should register the request types it can handle, same style as apache2.

  Overrides:
    `init` in class `JkHandler`

### setSecret

    public void setSecret(java.lang.String s)

### setUseSecret

    public void setUseSecret(boolean b)

### setDecodedUri

    public void setDecodedUri(boolean b)

### isTomcatAuthentication

    public boolean isTomcatAuthentication()

### setShutdownEnabled

    public void setShutdownEnabled(boolean se)

### getShutdownEnabled

    public boolean getShutdownEnabled()

### setTomcatAuthentication

    public void setTomcatAuthentication(boolean newTomcatAuthentication)

### setAjpidDir

    public void setAjpidDir(java.lang.String path)

### setRegisterRequests

    public void setRegisterRequests(boolean srr)

  Set the flag to tell if we JMX register requests.

### getRegisterRequests

    public boolean getRegisterRequests()

  Get the flag to tell if we JMX register requests.

### setDelayInitialRead

    public void setDelayInitialRead(boolean dir)

  Set the flag to delay the initial body read

### getDelayInitialRead

    public boolean getDelayInitialRead()

  Get the flag to tell if we delay the initial body read

### invoke

    public int invoke(Msg msg,
                      MsgContext ep)
               throws java.io.IOException

  Overrides:
    `invoke` in class `JkHandler`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.